Subject: Re: bug#24087: recovery from suspend is broken with recent libreboot + linux-libre 4.7

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 31 Jul 2016 22:18:24 +0200

Clément Lassieur <[email-masked]> writes:

> Hi,
>
>> We include older kernel versions: linux-libre-4.4 and linux-libre-4.1,
>> which you can select via the 'kernel' field of the OS configuration,
>> e.g.: (kernel linux-libre-4.4)
>>
>> Can you try these and see if the problem persists?
>
> I tried these kernels and still have the problem (with GuixSD +
> libreboot x200).

I have an X200s with the 2015 release of libreboot.  I’m using the 4.1
kernel and have no problems.

AFAIR suspend problems on X200 and similar are a known regression in the
current version of libreboot.

~~ Ricardo